/* ===================================================================
 * # News feed
 *
 * ------------------------------------------------------------------- */



 .news-section {
    display: flex;
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
    height: auto; /* Ensure the parent container takes the full viewport height */
    position: relative; /* Ensure the parent container is the reference for absolute positioning */
    padding-bottom: 170px;
    background-color: rgb(240, 240, 240);
    box-sizing: border-box;
}

 .news-container {
    max-width: 1266px;
    height: auto;
    margin-top: 100px;
    position: relative; /* Ensure the container is the reference for the overlay */
    display: flex;
    align-items: center; /* Center vertically */
    width:94%;
}


.news-container  .slick-arrow {
    width: 66px;
    height: 66px;
    margin: 0;
    padding: 0;
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: 22px 15px;
    background-position: center;
    border: none;
    cursor: pointer;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    font: 0/0 a;
    text-shadow: none;
    z-index: 2;
}

.news-container .slick-prev {
    left: -130px;
    background-image: url("/August16th/imagesui2/left-arrow.png");
}

.news-container .slick-next {
    right: -130px;
    background-image: url("/August16th/imagesui2/right-arrow.png");
}


.news-overlay {
    width: 94%;
    max-width: 1200px;
    position: absolute;
    height: 390px; 
    background: linear-gradient(90deg, rgba(0,0,0,0) 0%,  rgba(0,0,0,0) 92%, rgba(240,240,240,1) 100%);
    pointer-events: none; /* Ensure the overlay does not interfere with scrolling */
    margin-top: 100px;
    margin-bottom: 180px;
    z-index: 100;
}


.news-block {
    background-color: #FFF; /* Slightly darker background color */
    overflow: hidden;
    padding: 30px;
        
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin-right:20px;
}

.news-block-slide {
    padding: 0 15px;
}

/* Mobile */
@media only screen and (max-width: 600px) {
    .news-section {
        padding-bottom: 60px;
    }
    .news-container {
        width: 100%;
        height: 575px;
        margin-top: 10px;
    }
    .news-block { /* Ensure cards take up full width */
        min-width: 70vw;
        
    }

    .news-section .slick-slider .slick-dots {
        margin: 0;
    }
}

.news-block:first-child {
    margin-left: 0px; /* Remove left margin for the first card */
}

.news-block-header {
    height:auto;
    min-height: 90px;
    width: 100%;
    margin-top: 15px;
    margin-bottom: 40px;
    display: flex;

}

.news-block-header > * {
    display: inline-block;
    vertical-align: top;
}

.news-datestamp {
    font-size: 1.8rem;
    color: #38a549;
    font-family: "montserrat-bold", sans-serif;
    height: 92px;
    margin-right: 15px;
    min-width: 120px;
    border-right: 0.2rem solid #38a549;
    line-height: 2.6rem;   
}

.news-datestamp span {
    font-size: 3.8rem;
    line-height: 3.2rem;
    
}

@media only screen and (max-width: 600px) {
    .news-block-header {
        flex-direction: column;
    }

    .news-block-header > * {
        vertical-align: bottom;
    }

    .news-datestamp{
       border-right: none;
       border-bottom: 0.2rem solid #38a549;
       display: flex;
        flex-direction: row;
        align-items: flex-end;
        padding-bottom: 10px;
        margin-bottom: 20px;
        height: auto;
    }

    .news-datestamp span {
        font-size: 3rem;
        margin-right: 8px;
    }
    .news-datestamp p {
        margin: 0;
        
    }
}

.news-block-headline {
    color: #38a549;
    font-family: "montserrat-bold", sans-serif;
    font-size: 2rem;
    margin-bottom: 10px;
    margin-top: 0;
}

.news-block-content{
    font-size: 1.7rem;
    max-height: 117px;
    
    margin-botttom: 50px;
    text-overflow: ellipsis;
	overflow: hidden;
    
}


.news-block-footer {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center; /* Center contents vertically */
}

.news-block-footer::after {
    display: none;
}

.news-block-readmore {
    background-color: #274a2b;
    color: #FFF;
    font-family: "montserrat-medium", sans-serif;
    font-size: 1.2rem;
    text-transform: uppercase;
    height: 40px;
    line-height: normal;
    border: none;
    border-radius: 20px;
    cursor:  pointer;
    transition: 0.5s;
}

.news-block-readmore:hover {
    background-color: #38a549;
    transition: 0.5s;
    color: #FFF;
}

.news-block-type {
    font-size: 1.4rem;
    color: #AAA;
    font-family: "montserrat-medium", sans-serif;
    text-transform: uppercase;
    color: #274a2b;
    text-align: right;
    display: flexbox;
    
}

@media only screen and (max-width: 600px) {
    .news-block-content {
        
    }

    .news-block-readmore {
        margin: 0!important;
    }
}